## org.apache.cocoon.processor.xsp.library.calendar
Class XSPCalendar

    java.lang.Object
      |
      +--org.apache.cocoon.processor.xsp.library.calendar.XSPCalendar

public class XSPCalendar
extends java.lang.Object

Field Summary
`static java.text.SimpleDateFormat` `month_format`
`static java.text.SimpleDateFormat` `month_name_format`
`static java.text.SimpleDateFormat` `month_number_format`

Constructor Summary
`XSPCalendar()`

Method Summary
`static org.w3c.dom.Element` `generateMonth(org.w3c.dom.Document document, java.lang.String date_format)`
`static org.w3c.dom.Element` `generateMonth(org.w3c.dom.Document document, java.lang.String date_format, java.util.Date date)` Generates a calendar of the form:
`static org.w3c.dom.Element` `generateMonth(org.w3c.dom.Document document, java.lang.String date_format, java.lang.String date)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### month_number_format

    public static java.text.SimpleDateFormat month_number_format

### month_name_format

    public static java.text.SimpleDateFormat month_name_format

### month_format

    public static java.text.SimpleDateFormat month_format

Constructor Detail

### XSPCalendar

    public XSPCalendar()

Method Detail

### generateMonth

    public static org.w3c.dom.Element generateMonth(org.w3c.dom.Document document,
                                                    java.lang.String date_format,
                                                    java.util.Date date)

  Generates a calendar of the form:

      <day/>
      <day/>
      <day/>
      <day/>
      <day/>

      ...

### generateMonth

    public static org.w3c.dom.Element generateMonth(org.w3c.dom.Document document,
                                                    java.lang.String date_format,
                                                    java.lang.String date)
                                             throws java.text.ParseException

### generateMonth

    public static org.w3c.dom.Element generateMonth(org.w3c.dom.Document document,
                                                    java.lang.String date_format)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.